ReferenceAdmin
Platform analytics, aggregates only with no content or user identities (platform admins and auditors). Test chats are excluded except from token usage.
GET
/v1/admin/analyticsWith team, every count is of that team's agents (top teams lists just it). With audience, answers, conversations, moderation, SystemOne checks and the top lists count only answers to that audience; token use (models) isn't recorded per audience and counts every audience.
Query Parameters
from?string
First UTC day (default 29 days before to)
Format
dateto?string
Last UTC day, inclusive (default today); at most 366 days after from
Format
dateteam?string
Only this team's agents (a team slug; 404 team_not_found when there is no such team)
audience?string
Only answers to this audience
Value in
- "team"
- "all_authenticated"
- "public"
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/admin/analytics"{ "data": { "from": "2019-08-24", "to": "2019-08-24", "totals": { "answers": 0, "conversations": 0, "uniqueUsers": 0, "up": 0, "down": 0, "satisfaction": 0, "noContextRate": 0, "refusalRate": 0, "errorRate": 0, "latencyP50Ms": 0, "latencyP95Ms": 0, "firstTokenP50Ms": 0, "moderation": { "questionsBlocked": 0, "answersWithheld": 0, "flagged": 0, "supported": 0 }, "judging": { "answers": 0, "candidates": 0, "evidence": 0, "conflicting": 0, "kept": 0, "dropped": { "injection": 0, "irrelevant": 0, "notUsable": 0 }, "skipped": 0, "judgedOut": 0, "requests": 0, "latencyP50Ms": 0, "latencyP95Ms": 0 }, "citations": { "answers": 0, "pairs": 0, "verified": 0, "unsupported": 0, "contradicted": 0, "unchecked": 0, "lowConfidence": 0, "removed": 0, "refused": 0, "supportRate": 0, "latencyP50Ms": 0, "latencyP95Ms": 0, "supportedClaims": 0, "notSupportedClaims": 0, "uncitedClaims": 0, "claimSupportRate": 0 }, "scope": { "checked": 0, "smallTalk": 0, "outOfScope": 0, "refused": 0, "skipped": 0, "latencyP50Ms": 0 } }, "audiences": [ { "audience": "team", "answers": 0, "share": 0.1 } ], "channels": [ { "channel": "ui", "answers": 0, "share": 0.1 } ], "moderation": [ { "stage": "input", "decision": "block", "category": "string", "count": 0 } ], "models": [ { "modelId": "17563eeb-82d7-4210-ac9b-1a20c7d67278", "modelName": "string", "kind": "string", "chatInputTokens": 0, "chatOutputTokens": 0, "embeddingTokens": 0 } ], "topAgents": [ { "agentId": "bc309ecf-5f66-4057-93c5-6611cc9cb7b2", "agentSlug": "string", "agentName": "string", "teamId": "a4ede8ba-7c0a-4485-8763-cbd9b282fbec", "teamSlug": "string", "teamName": "string", "deleted": true, "answers": 0, "noContextRate": 0.1, "satisfaction": 0, "citationSupportRate": 0 } ], "topTeams": [ { "teamId": "a4ede8ba-7c0a-4485-8763-cbd9b282fbec", "teamSlug": "string", "teamName": "string", "answers": 0, "agents": 0 } ], "daily": [ { "date": "2019-08-24", "answers": 0, "conversations": 0, "noContext": 0, "refused": 0, "moderationBlocked": 0, "moderationFlagged": 0 } ] }}